This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1253777 - HA overcloud deployment argument for NTP server should not be optional
HA overcloud deployment argument for NTP server should not be optional
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-rdomanager-oscplugin (Show other bugs)
Director
Unspecified Unspecified
high Severity unspecified
: y1
: 7.0 (Kilo)
Assigned To: Marek Aufart
Marius Cornea
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-14 12:33 EDT by chris alfonso
Modified: 2016-01-31 21:38 EST (History)
10 users (show)

See Also:
Fixed In Version: python-rdomanager-oscplugin-0.0.9-1.el7ost
Doc Type: Bug Fix
Doc Text:
The "--ntp-server" option was not provided for some HA Overcloud deployments. This caused the clock on Controller nodes to drift, which caused problems in Keystone. This fix sets the "--ntp-server" option to mandatory for deployments with multiple Controller nodes. Clocks on Controller nodes are now synchronized.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-08 08:16:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Gerrithub.io 243699 None None None Never

  None (edit)
Description chris alfonso 2015-08-14 12:33:11 EDT
Description of problem:
When deploying an HA overcloud, if you don't pass in an NTP server to the deployment command, this has often caused issues with keystone tickets being rejected based upon controller time drift.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:
--ntp-server should be a required parameter.

Additional info:
Comment 3 Marek Aufart 2015-08-20 04:40:16 EDT
Patch is for review. Parameter --ntp-server is required for deployments with more than one controller node now.

It might break some test scripts which does not count with this requirement.
Comment 5 Marius Cornea 2015-09-07 10:16:39 EDT
[stack@instack ~]$ openstack overcloud deploy --templates --control-scale 3
WARNING: rdomanager_oscplugin.v1.overcloud_deploy.DeployOvercloud There are 8 ironic nodes with no profile that will not be used: 0e12788c-ffd7-4fc7-ba1c-3f26b602576f, fa97c13f-9bda-4f62-ab74-b56ed81fbc16, cde9523c-a974-4f89-9af2-3810e3f0a3b2, e9ab214b-9a39-45d6-b0dc-4b8f61b136aa, 6bde62d3-322a-4885-8933-33a905678c11, c4cd552f-0d2d-487b-95d8-6c7181d874fe, 6fe1e8e1-ea86-4d9e-818f-22748fbda983, a54594ff-74be-413b-8c4d-e2f2ce2cf08d
ERROR: rdomanager_oscplugin.v1.overcloud_deploy.DeployOvercloud Configuration has 1 warnings, fix them before proceeding. 
ERROR: openstack Specify --ntp-server when using multiple controllers (with HA).
Comment 7 errata-xmlrpc 2015-10-08 08:16:51 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1862

Note You need to log in before you can comment on or make changes to this bug.